import request from '@/utils/request'

// 商品展示申请接口列表
export function listProductShow(query, pageReq) {
  return request({
    url: '/pms/productShow/list',
    method: 'post',
    data: query,
    params: pageReq
  })
}
// 查询商品展示申请信息详细
export function getProductShow(id) {
  return request({
    url: '/pms/productShow/' + id,
    method: 'get'
  })
}

// 新增商品展示申请信息
export function addProductShow(data) {
  return request({
    url: '/pms/productShow',
    method: 'post',
    data: data
  })
}

// 修改商品展示申请信息
export function updateProductShow(data) {
  return request({
    url: '/pms/productShow',
    method: 'put',
    data: data
  })
}

// 删除商品展示申请信息
export function delProductShow(id) {
  return request({
    url: '/pms/productShow/' + id,
    method: 'delete'
  })
}

// 拒绝商品展示（管理员）
export function refuseProductShow(data) {
  return request({
    url: '/pms/productShow/refuse/',
    method: 'put',
    data: data
  })
}

// 通过商品展示（管理员）
export function passProductShow(data) {
  return request({
    url: '/pms/productShow/pass/',
    method: 'put',
    data: data
  })
}


